Microscopic Traffic Simulator

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties | List of all members
Microscopic_Traffic_Simulator.Settings Class Reference

Class implementing ISetting interface using settings of visual studio application. More...

Inheritance diagram for Microscopic_Traffic_Simulator.Settings:

## Public Member Functions
void | Save ()
| Save settings. More...

## Properties
string | LastGeometricTopologyPath`[get, set]`
| Path of last opened geometric topology file. More...
int | PreviousSeed`[get, set]`
| Seed used in the previous simulation run. More...
bool | PreviousSeedNull`[get, set]`
| Determines whether any simulation was performed (whether any previous seed is available). More...
bool | IsSeedSettingAutomatic`[get, set]`
| Determines whether the seed is initialized automatically. More...
bool | IsPreviousSeedUsed`[get, set]`
| Determines whether the seed from previous simulation run is used. More...
string | PathToParameters`[get, set]`
| Path to last used file with parameters. More...
Properties inherited from Microscopic_Traffic_Simulator.ViewModels.ISettings
string | LastGeometricTopologyPath`[get, set]`
| Item for path to file where is the last opened topology. More...
int | PreviousSeed`[get, set]`
| Seed which was used in the last simulation. More...
bool | PreviousSeedNull`[get, set]`
| Determines whether there is any previous seed (whether any simulation was running in past). More...
bool | IsSeedSettingAutomatic`[get, set]`
| Determines whether the seed is initialized automatically. More...
bool | IsPreviousSeedUsed`[get, set]`
| Determines whether the seed from previous simulation run is used. More...
string | PathToParameters`[get, set]`
| Path to last used file with parameters. More...

## Detailed Description

Class implementing ISetting interface using settings of visual studio application.

Definition at line 8 of file Settings.cs.

## Member Function Documentation

void Microscopic_Traffic_Simulator.Settings.Save | ( |  | ) |

Save settings.

Implements Microscopic_Traffic_Simulator.ViewModels.ISettings.

Definition at line 67 of file Settings.cs.

## Property Documentation

bool Microscopic_Traffic_Simulator.Settings.IsPreviousSeedUsed
| get set

Determines whether the seed from previous simulation run is used.

Definition at line 50 of file Settings.cs.

bool Microscopic_Traffic_Simulator.Settings.IsSeedSettingAutomatic
| get set

Determines whether the seed is initialized automatically.

Definition at line 41 of file Settings.cs.

string Microscopic_Traffic_Simulator.Settings.LastGeometricTopologyPath
| get set

Path of last opened geometric topology file.

Definition at line 14 of file Settings.cs.

string Microscopic_Traffic_Simulator.Settings.PathToParameters
| get set

Path to last used file with parameters.

Definition at line 59 of file Settings.cs.

int Microscopic_Traffic_Simulator.Settings.PreviousSeed
| get set

Seed used in the previous simulation run.

Definition at line 23 of file Settings.cs.

bool Microscopic_Traffic_Simulator.Settings.PreviousSeedNull
| get set

Determines whether any simulation was performed (whether any previous seed is available).

Definition at line 32 of file Settings.cs.

The documentation for this class was generated from the following file:

- Microscopic Traffic Simulator/Settings.cs